/// <reference types="react" />
import { type Theme } from "@emotion/react";
export declare const OperatorPickerButton: import("@emotion/styled").StyledComponent<{
    theme?: Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & {
    isOpened?: boolean | undefined;
    isConditionComplete: boolean;
}, import("react").DetailedHTMLProps<import("react").ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, {}>;
export declare const OperatorList: import("@emotion/styled").StyledComponent<Omit<import("react").HTMLProps<HTMLUListElement>, "role"> & import("@mantine/core").BoxProps & import("react").RefAttributes<HTMLUListElement> & {
    theme?: Theme | undefined;
}, {}, {}>;
export declare const OperatorListItem: import("@emotion/styled").StyledComponent<import("../../../../../components/SelectList/SelectListItem").SelectListItemProps & {
    theme?: Theme | undefined;
}, {}, {}>;
